"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.openURL = void 0;
var _reactNative = require("react-native");
/**
 * Open a url  using the device handler; e.g. default web browser.
 * @param url - the url, if not protocol is present use 'https://'
 */
const openURL = url => {
  const re = /^(http|https|tel|telprompt):\/\//;
  if (!url.trim().match(re)) {
    url = 'https://' + url;
  }
  _reactNative.Linking.openURL(url);
};
exports.openURL = openURL;
//# sourceMappingURL=url.js.map