import lodash from 'lodash';
import { init as initLog } from './logger';
class ElementsConfig {
  constructor() {
    this.variables = {};
  }

  /**
   * Gets a specific configuration item.
   * @param name the name of the configuration items
   * @returns the value of the configuration item
   */
  get(name) {
    return this.variables[name];
  }

  /**
   * Initialize with a configuration.
   * @param config - configuration key/value pairs
   */
  init(config) {
    lodash.assign(this.variables, config);
    // @ts-ignore
    initLog(config.userId);
  }

  /**
   * Set a configuration item.
   * @param config - configuration key/value pairs
   */
  set(config) {
    lodash.merge(this.variables, config);
  }
}
const config = new ElementsConfig();
export { config };
//# sourceMappingURL=ElementsConfig.js.map