/* eslint-disable prettier/prettier */
/* eslint-disable @typescript-eslint/no-explicit-any */

// Copied from https://github.com/streamich/react-use

import { useCallback, useState } from 'react';
import lodash from 'lodash';
const useSetState = (initialState = {}) => {
  const [state, set] = useState(initialState);
  const setState = useCallback((patch, options) => {
    const replacer = options !== null && options !== void 0 && options.assign ? lodash.assign : lodash.merge;
    set(prevState => replacer({}, prevState, patch instanceof Function ? patch(prevState) : patch));
  }, []);
  return [state, setState];
};
export default useSetState;
//# sourceMappingURL=useSetState.js.map