import type { ElementsConfig as ElementsConfigObj } from '@react-native-ajp-elements/common';
declare class ElementsConfig<ElementsConfigObj> {
    variables: ElementsConfigObj;
    constructor();
    /**
     * Gets a specific configuration item.
     * @param name the name of the configuration items
     * @returns the value of the configuration item
     */
    get<T>(name: keyof ElementsConfigObj): T;
    /**
     * Initialize with a configuration.
     * @param config - configuration key/value pairs
     */
    init(config: ElementsConfigObj): void;
    /**
     * Set a configuration item.
     * @param config - configuration key/value pairs
     */
    set(config: ElementsConfigObj): void;
}
declare const config: ElementsConfig<ElementsConfigObj>;
export { config };
//# sourceMappingURL=ElementsConfig.d.ts.map